package cooper

import (
	"errors"
	"net/url"
)

//更新设备绑定状态
func (that *CooperClient) NewUsrK3UpdateBindStatusRequest() *UsrK3UpdateBindStatusRequest {
	return &UsrK3UpdateBindStatusRequest{
		Request: Request{
			Client:     that,
			apiAddress: "/usrK3/updateBindStatus",
		},
	}
}

//UsrK3UpdateBindStatusRequest ...
type UsrK3UpdateBindStatusRequest struct {
	Request
}

//设备ID
func (that *UsrK3UpdateBindStatusRequest) SetDevId(value string) *UsrK3UpdateBindStatusRequest {
	that.initParams()
	that.params.Set("dev_id", value)
	return that
}

//绑定状态
func (that *UsrK3UpdateBindStatusRequest) SetBindStatus(value int64) *UsrK3UpdateBindStatusRequest {
	that.initParams()
	that.params.Set("bind_status", ToString(value))
	return that
}

//Params ...
func (that *UsrK3UpdateBindStatusRequest) Params() (url.Values, error) {
	that.initParams()
	_params := that.params
	if that.publicParamsSlice != nil {
		for _, _v := range that.publicParamsSlice {
			if _params.Get(_v) == "" {
				return nil, errors.New(that.apiAddress + "缺少参数:" + _v)
			}
		}
	}
	return _params, nil
}

//Do ...
func (that *UsrK3UpdateBindStatusRequest) Do() (interface{}, error) {
	//返回data
	_data, _err := that.Client.Post(that.apiAddress, that)
	if _err != nil {
		return nil, _err
	}
	return _data, nil
}
